<bugID>362923<Summary>Gnome font settings are ignored</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.1) Gecko/20061010 Firefox/2.0
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.1) Gecko/20061010 Firefox/2.0

Firefox and Thunderbird will ignore a font selected with Gnome font properties tool if its name contains non-latin characters. A temporary work-around is to use gconf editor and set the font name to its english equivalent. (It might be impossible if the said font has no English name, which is the case with some older Japanese fonts, for example.)
I think that is going to be a common bug within Japanese users. Gnome 2.16.0, at least under locale ja_JP.UTF-8, now displays Japanese font names and hides their 
non-Japanese one, which is a very good thing. (Gnome 2.10.1 only displayed their non-Japanese one.)

Reproducible: Always

Steps to Reproduce:
1. In Gnome font properties, change the application font to a font whose name contains non-latin characters.


Actual Results:  
Look at the menus in Firefox and Thunderbird : they use some default system font.

Expected Results:  
I would expect to see the font I chose.</Description></bugID>